#include <iostream>

using namespace std;

typedef unsigned long long ull;

static inline ull zbir_uzastopnih(ull x)
{
	return x*(x+1)/2;
}

int main(){
	ios::sync_with_stdio(0); cin.tie(0);
	ull t;
	cin>>t;
	ull n[t],m[t],k[t];
	for(ull i=0;i<t;i++)
	{cin>>n[i]>>m[i]>>k[i];}
	for(ull i=0;i<t;i++){
		
		
		ull a = n[i]%k[i];
		
		ull m0 = a * zbir_uzastopnih(n[i]/k[i] + 1) + (n[i]-a) * zbir_uzastopnih(n[i]/k[i]);
		
		m[i]>=m0?cout<<"Tak\n":cout<<"Nie\n";
	}
}